Skip to main content
GET
Get one audit finding

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "actions-info": Adds actions { canBeUpdated, canBeDeleted, canBeResolved, canBeUnresolved }.
  • "updatable-fields": Adds updatableFields - editable-field flags.
  • "project": Hydrates the parent mission (id, ref, name).
Available options:
actions-info,
updatable-fields,
project

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
type
enum<string>
required
Available options:
audit
status
enum<string>
required
Available options:
extracted,
unreviewed,
pending,
resolved
risk
enum<string>
required
Available options:
low,
medium,
high,
critic
title
string
required
Required string length: 1 - 300
description
string | null
required
Maximum string length: 5000
location
string | null
required
Maximum string length: 200
resolutionDelay
string | null
required
Pattern: ^P(?!$)(\d+Y)?(\d+M)?(\d+W)?(\d+D)?(T(?=\d)(\d+H)?(\d+M)?(\d+S)?)?$
comment
string | null
required
Maximum string length: 2000
screenshot
object | null
required
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
observedAt
string<date-time> | null
required
resolvedAt
string<date-time> | null
required
resolvedComment
string | null
required
Maximum string length: 2000
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
actions
object
updatableFields
object
project
object | null